Bug 136732 - Add a Close button to the Control Properties dialog
Summary: Add a Close button to the Control Properties dialog
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Form-Controls
  Show dependency treegraph
 
Reported: 2020-09-14 00:03 UTC by Felipe Viggiano
Modified: 2022-01-26 12:28 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Control Properties dialog of a button hiperlink (44.26 KB, image/png)
2022-01-26 11:58 UTC, Felipe Viggiano
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Felipe Viggiano 2020-09-14 00:03:07 UTC
The Control Properties dialog of an Hyperlink button does not contain the regulars buttons OK or CANCEL.

The user make the changes and then it just close the dialog to apply it.

Problem: in order to cancel all the changes the user has to remember all the changes and undo everything back, it cold lead to some mistaken changes in the properties.

So, this issue is just a suggestion for adding theses buttons (OK / Cancel).


Steps to reproduce:

1. Open a new spreadsheet.
2. Go to Insert > Hyperlink and create a new link with a Button Form.
3. Right click the new inserted button and click Control Properties on the context menu.

I believe this dialog should have the regulars buttons (OK / Cancel) to improve the user experience.
Comment 1 Felipe Viggiano 2020-09-14 00:22:15 UTC
Addin version info.

Version: 7.0.0.3
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Calc: threaded
Comment 2 Buovjaga 2021-07-26 11:46:12 UTC
This concerns any form control element. Let's ask UX. Accepting this would result in a major overhaul of the backend code I guess as now everything is applied on the fly.
Comment 3 Heiko Tietze 2021-08-13 08:49:16 UTC
The dialog has Help, Reset, Apply, Ok, Close. Changes you haven't applied are lost on close. Quite standard, isn't it?
Comment 4 Heiko Tietze 2022-01-18 08:02:05 UTC
Form properties are applied directly on leaving the in input field. If you expect a batch operation applied on Okay or Apply you don't get the undo stack either; and you have to do one more click. 

Simple Close button would be nice, though. But looking into the code the dialog started by SID_FM_PROPERTIES/SID_FM_CTL_PROPERTIES seems to be a css::uno::XInterface used across the application. I'm afraid of adding default buttons there. And is it all worth the effort?
Comment 5 Felipe Viggiano 2022-01-26 11:58:52 UTC
Created attachment 177803 [details]
Control Properties dialog of a button hiperlink
Comment 6 Felipe Viggiano 2022-01-26 12:01:24 UTC
I see your point, but none of those mentioned button are presented to me.

I have attached a print of it.

My current version:

Version: 7.1.8.1
Build ID: 10(Build:1)
CPU threads: 8; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: pt-BR (pt_BR.UTF-8); UI: en-US
Calc: threaded
Comment 7 Caolán McNamara 2022-01-26 12:20:01 UTC
FWIW it's has been like this since its initial implementation
Comment 8 Heiko Tietze 2022-01-26 12:28:20 UTC
No objection to the Close button.